summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/supertux/README5
-rw-r--r--games/supertux/doinst.sh5
-rw-r--r--games/supertux/slack-desc11
-rw-r--r--games/supertux/supertux-gcc4.2.patch12
-rw-r--r--games/supertux/supertux.SlackBuild87
-rw-r--r--games/supertux/supertux.info8
6 files changed, 128 insertions, 0 deletions
diff --git a/games/supertux/README b/games/supertux/README
new file mode 100644
index 0000000000..ca35bccc4c
--- /dev/null
+++ b/games/supertux/README
@@ -0,0 +1,5 @@
+SuperTux is a classic 2D jump'n run sidescroller game in a style
+similar to the original SuperMario games.
+
+If you get slow performance, disable the use of OpenGL in the
+"Options" menu after SuperTux is started.
diff --git a/games/supertux/doinst.sh b/games/supertux/doinst.sh
new file mode 100644
index 0000000000..c3651bc867
--- /dev/null
+++ b/games/supertux/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/supertux/slack-desc b/games/supertux/slack-desc
new file mode 100644
index 0000000000..248f571ab4
--- /dev/null
+++ b/games/supertux/slack-desc
@@ -0,0 +1,11 @@
+supertux: SuperTux (classic 2D jump'n run sidescroller game)
+supertux:
+supertux: SuperTux is a classic 2D jump'n run sidescroller game in a style
+supertux: similar to the original SuperMario games.
+supertux:
+supertux: Homepage: http://supertux.berlios.de/
+supertux:
+supertux:
+supertux:
+supertux:
+supertux:
diff --git a/games/supertux/supertux-gcc4.2.patch b/games/supertux/supertux-gcc4.2.patch
new file mode 100644
index 0000000000..5168cc0bf1
--- /dev/null
+++ b/games/supertux/supertux-gcc4.2.patch
@@ -0,0 +1,12 @@
+diff -ur supertux-0.1.3.orig/src/menu.h supertux-0.1.3/src/menu.h
+--- supertux-0.1.3.orig/src/menu.h 2005-06-21 23:16:07.000000000 +0200
++++ supertux-0.1.3/src/menu.h 2008-08-16 01:48:12.000000000 +0200
+@@ -207,7 +207,7 @@
+
+ bool isToggled(int id);
+
+- void Menu::get_controlfield_key_into_input(MenuItem *item);
++ void get_controlfield_key_into_input(MenuItem *item);
+
+ void draw ();
+ void draw_item(int index, int menu_width, int menu_height);
diff --git a/games/supertux/supertux.SlackBuild b/games/supertux/supertux.SlackBuild
new file mode 100644
index 0000000000..42396ff7e1
--- /dev/null
+++ b/games/supertux/supertux.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for supertux
+
+# Copyright 2006,2008 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=supertux
+VERSION=0.1.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go-w+r .
+
+# gcc4 compile patch
+patch -p1 < $CWD/supertux-gcc4.2.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-x \
+ --program-prefix="" \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL LEVELDESIGN \
+ NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Fix path to icon in .desktop file
+sed -i s%'Icon=supertux.png'%'Icon=supertux'%g \
+ $PKG/usr/share/applications/supertux.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/supertux/supertux.info b/games/supertux/supertux.info
new file mode 100644
index 0000000000..a3d6bba036
--- /dev/null
+++ b/games/supertux/supertux.info
@@ -0,0 +1,8 @@
+PRGNAM="supertux"
+VERSION="0.1.3"
+HOMEPAGE="http://supertux.berlios.de/"
+DOWNLOAD="http://download.berlios.de/supertux/supertux-0.1.3.tar.bz2"
+MD5SUM="f2fc288459f33d5cd8f645fbca737a63"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="David Somero" \ No newline at end of file